Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class RendezvousSNHFactory

    java.lang.Object
      rice.pastry.socket.SocketNodeHandleFactory
          rice.pastry.socket.nat.rendezvous.RendezvousSNHFactory

All Implemented Interfaces:
  Serializer<SocketNodeHandle>, NodeHandleFactory<SocketNodeHandle>

    public class RendezvousSNHFactory

extends SocketNodeHandleFactory

Field Summary

Fields inherited from class rice.pastry.socket.SocketNodeHandleFactory
`handleSet, listeners, pn`

Constructor Summary
`RendezvousSNHFactory(PastryNode pn)`

Method Summary
`SocketNodeHandle` | `getNodeHandle(MultiInetSocketAddress i, long epoch, Id id)` This is kind of weird, may need to rethink this.
`SocketNodeHandle` | `getNodeHandle(MultiInetSocketAddress i, long epoch, Id id, byte contactState)`
`SocketNodeHandle` | `readNodeHandle(InputBuffer buf)`

Methods inherited from class rice.pastry.socket.SocketNodeHandleFactory
`addNodeHandleFactoryListener, coalesce, deserialize, notifyListeners, removeNodeHandleFactoryListener, serialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendezvousSNHFactory

    public RendezvousSNHFactory(PastryNode pn)

Method Detail

### getNodeHandle

    public SocketNodeHandle getNodeHandle(MultiInetSocketAddress i,
                                          long epoch,
                                          Id id)

  Description copied from class: `SocketNodeHandleFactory`
  This is kind of weird, may need to rethink this. This is called to build one w/o deserializing anything. (Either the local node, or one with a bogus id).

  Overrides:
    `getNodeHandle` in class `SocketNodeHandleFactory`
  Returns:

### getNodeHandle

    public SocketNodeHandle getNodeHandle(MultiInetSocketAddress i,
                                          long epoch,
                                          Id id,
                                          byte contactState)

### readNodeHandle

    public SocketNodeHandle readNodeHandle(InputBuffer buf)
                                    throws java.io.IOException

  Specified by:
    `readNodeHandle` in interface `NodeHandleFactory<SocketNodeHandle>`
  Overrides:
    `readNodeHandle` in class `SocketNodeHandleFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.